### Method

# GObject Value dup_param

#### Declaration

    GParamSpec*
    g_value_dup_param (
      const GValue* value
    )

#### Description

Get the contents of a `G_TYPE_PARAM` `GValue`, increasing its reference count.

This method is not directly available to language bindings.

#### Return value

Type: `GParamSpec`

`GParamSpec` content of `value`, should be unreferenced when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.